import type { CellSlotProps } from '../type'

export default function useTableCellClick() {
  const router = useRouter()
  const route = useRoute()
  const cellClickHandler = ({ column, rowData }: CellSlotProps) => {
    switch (column.dataKey) {
      case 'flightNO':
        router.push({
          path: `${route.path.split('/').slice(0, -1).join('/')}/flight`,
          query: {
            flightNO: rowData.flightNO,
            flightDate: rowData.flightDate,
          },
        })
        break
      default:
        break
    }
  }

  return {
    cellClickHandler,
  }
}
